<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest__inherit__graph.svg" width="214" height="142"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest:</div>
<div class="dyncontent">
<div class="center"><iframe scrolling="no" frameborder="0" src="classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest__coll__graph.svg" width="214" height="142"><p><b>This browser is not able to show SVG: try Firefox, Chrome, Safari, or Opera instead.</b></p></iframe>
</div>
<center><span class="legend">[<a target="top" href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a04676ed51e337fa6be3f99a73a87040d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest.html#a04676ed51e337fa6be3f99a73a87040d">RunAndVerify</a> (self, env_var_value, flag_value, expect_seg_fault)</td></tr>
<tr class="separator:a04676ed51e337fa6be3f99a73a87040d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68448a786ffe492e830d82ee1a22742e"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest.html#a68448a786ffe492e830d82ee1a22742e">testDefaultBehavior</a> (self)</td></tr>
<tr class="separator:a68448a786ffe492e830d82ee1a22742e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8981e95089e39d0c06fe0dd02dcb9bb7"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest.html#a8981e95089e39d0c06fe0dd02dcb9bb7">testEnvVar</a> (self)</td></tr>
<tr class="separator:a8981e95089e39d0c06fe0dd02dcb9bb7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abb611980cd810b5d79e39c5973858a49"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest.html#abb611980cd810b5d79e39c5973858a49">testFlag</a> (self)</td></tr>
<tr class="separator:abb611980cd810b5d79e39c5973858a49"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6586983cbfbe7b25a5c406814148621"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest.html#ae6586983cbfbe7b25a5c406814148621">testFlagOverridesEnvVar</a> (self)</td></tr>
<tr class="separator:ae6586983cbfbe7b25a5c406814148621"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75a96ff28298ed6901203f52684331b8"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest.html#a75a96ff28298ed6901203f52684331b8">testBreakOnFailureOverridesThrowOnFailure</a> (self)</td></tr>
<tr class="separator:a75a96ff28298ed6901203f52684331b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe31b01f820ac3d69465db8c69490c2d"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest.html#afe31b01f820ac3d69465db8c69490c2d">testCatchExceptionsDoesNotInterfere</a> (self)</td></tr>
<tr class="separator:afe31b01f820ac3d69465db8c69490c2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Tests using the GTEST_BREAK_ON_FAILURE environment variable or
the --gtest_break_on_failure flag to turn assertion failures into
segmentation faults.
</pre> </div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a04676ed51e337fa6be3f99a73a87040d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a04676ed51e337fa6be3f99a73a87040d">&#9670;&nbsp;</a></span>RunAndVerify()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest.RunAndVerify </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>env_var_value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>flag_value</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>expect_seg_fault</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Runs googletest-break-on-failure-unittest_ and verifies that it does
(or does not) have a seg-fault.

Args:
  env_var_value:    value of the GTEST_BREAK_ON_FAILURE environment
                    variable; None if the variable should be unset.
  flag_value:       value of the --gtest_break_on_failure flag;
                    None if the flag should not be present.
  expect_seg_fault: 1 if the program is expected to generate a seg-fault;
                    0 otherwise.
</pre> 
</div>
</div>
<a id="a75a96ff28298ed6901203f52684331b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75a96ff28298ed6901203f52684331b8">&#9670;&nbsp;</a></span>testBreakOnFailureOverridesThrowOnFailure()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest.testBreakOnFailureOverridesThrowOnFailure </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that gtest_break_on_failure overrides gtest_throw_on_failure.</pre> 
</div>
</div>
<a id="afe31b01f820ac3d69465db8c69490c2d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afe31b01f820ac3d69465db8c69490c2d">&#9670;&nbsp;</a></span>testCatchExceptionsDoesNotInterfere()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest.testCatchExceptionsDoesNotInterfere </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that gtest_catch_exceptions doesn't interfere.</pre> 
</div>
</div>
<a id="a68448a786ffe492e830d82ee1a22742e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a68448a786ffe492e830d82ee1a22742e">&#9670;&nbsp;</a></span>testDefaultBehavior()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest.testDefaultBehavior </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests the behavior of the default mode.</pre> 
</div>
</div>
<a id="a8981e95089e39d0c06fe0dd02dcb9bb7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8981e95089e39d0c06fe0dd02dcb9bb7">&#9670;&nbsp;</a></span>testEnvVar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest.testEnvVar </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests using the GTEST_BREAK_ON_FAILURE environment variable.</pre> 
</div>
</div>
<a id="abb611980cd810b5d79e39c5973858a49"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abb611980cd810b5d79e39c5973858a49">&#9670;&nbsp;</a></span>testFlag()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest.testFlag </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests using the --gtest_break_on_failure flag.</pre> 
</div>
</div>
<a id="ae6586983cbfbe7b25a5c406814148621"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae6586983cbfbe7b25a5c406814148621">&#9670;&nbsp;</a></span>testFlagOverridesEnvVar()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def googletest-break-on-failure-unittest.GTestBreakOnFailureUnitTest.testFlagOverridesEnvVar </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Tests that the flag overrides the environment variable.</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>googletest-break-on-failure-unittest.py</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>googletest-break-on-failure-unittest</b></li><li class="navelem"><a class="el" href="classgoogletest-break-on-failure-unittest_1_1GTestBreakOnFailureUnitTest.html">GTestBreakOnFailureUnitTest</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
